// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// Project: RP_Catastrophe
// Author: JJstorm
// Description: Catastrophe For RP_Core
// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// Table of Contents
// 1. Changing The Catastrophe
// 2. Commands
// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// 1. Changing The Catastrophe
// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-



// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// 2. Manual Commands To Set Catastrophe
// -=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

function generateCatastrophe(%catastrophe, %intensity)
{
	if(%catastrophe $= "SpaceHell" || %catastrophe $= "Nuke") {
		warn("WEATHER ADJUSTING TO:" SPC "[" @ %catastrophe @ "] WITH INTENSITY OF [" @ %intensity @ "]");
		
		if(isObject(Precipitation))
			Precipitation.delete();
		
		$RP::pref::CurrCatastrophe = %catastrophe;
			
			if(%catastrophe !$= "" && (%intensity = mFloor(%intensity)) >= 0)
			{
				switch$(%catastrophe)
				{
					case "SpaceHell":
						%db = "RP_Catastrophe_Fire_Rain";
						%mutliplier = 0.15;
					case "Nuke":
						%db = "RP_Catastrophe_Fire_Rain";
						%mutliplier = 0.5;
					default:
						%db = "SnowA";
						%mutliplier = 0.15;
				}
				
				%intensity = %intensity * %mutliplier;
				// Default Properties
				%numDrops = 400 * %intensity;
				%minSpeed = 0.5 * %intensity;
				%maxSpeed = 1 * %intensity;
				%minMass = 0.75 * %intensity;
				%maxMass = 0.85 * %intensity;
				%maxTurbulence = 0.1 * %intensity;
				%turbulenceSpeed = 0.5 * %intensity;
				
				new Precipitation(Precipitation)
				{
					dataBlock = %db;
					numDrops = %numDrops;
					
					position = "191.844 621.068 566.484";
					rotation = "1 0 0 0";
					scale = "1 1 1";
					doCollision = "1";
					
					boxWidth = "100";
					boxHeight = "100";
					
					minSpeed = %minSpeed;
					maxSpeed = %maxSpeed;
					
					minMass = %minMass;
					maxMass = %maxMass;
					
					useTurbulence = "false";
					maxTurbulence = %maxTurbulence;
					turbulenceSpeed = %turbulenceSpeed;
					rotateWithCamVel = "false";
				};
			
				Sky.setName("Sky_Old");
				switch$(%catastrophe)
				{
					case "SpaceHell":
						new Sky(Sky)
						{
							position = "336 136 0";
							rotation = "1 0 0 0";
							scale = "1 1 1";
							materialList = "Add-Ons/RP_Catastrophes_Test/Skies/SpaceHell/resource.dml";
							cloudHeightPer[0] = "0";
							cloudHeightPer[1] = "0";
							cloudHeightPer[2] = "0";
							cloudSpeed1 = "0.0";
							cloudSpeed2 = "0.0";
							cloudSpeed3 = "0.0";
							visibleDistance = "5000";
							fogDistance = "2500";
							fogColor = "0.900000 0.900000 1.000000 1.000000";
							fogStorm1 = "0";
							fogStorm2 = "0";
							fogStorm3 = "0";
							fogVolume1 = "0 0 0";
							fogVolume2 = "0 0 0";
							fogVolume3 = "0 0 0";
							fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
							fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
							fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
							windVelocity = "0 0 0";
							windEffectPrecipitation = "0";
							SkySolidColor = "0.000000 0.000000 0.100000 1.000000";
							useSkyTextures = "1";
							renderBottomTexture = "0";
							noRenderBans = "0";
							locked = "true";
						};
					case "Nuke":
						new Sky(Sky)
						{
							position = "312 96 0";
							rotation = "1 0 0 0";
							scale = "1 1 1";
							materialList = "Add-Ons/RP_Catastrophes_Test/Skies/Nuke/resource.dml";
							cloudHeightPer[0] = "0.349971";
							cloudHeightPer[1] = "0.3";
							cloudHeightPer[2] = "0.199973";
							cloudSpeed1 = "0.0005";
							cloudSpeed2 = "0.001";
							cloudSpeed3 = "0.0003";
							visibleDistance = "1500";
							fogDistance = "1000";
							fogColor = "0.900000 0.900000 0.900000 1.000000";
							fogStorm1 = "0";
							fogStorm2 = "0";
							fogStorm3 = "0";
							fogVolume1 = "0 0 0";
							fogVolume2 = "0 0 0";
							fogVolume3 = "0 0 0";
							fogVolumeColor1 = "0.000000 0.000000 0.000000 1.000000";
							fogVolumeColor2 = "0.000000 0.000000 0.000000 1.000000";
							fogVolumeColor3 = "0.000000 0.000000 0.000000 1.000000";
							windVelocity = "0.25 0.25 0";
							windEffectPrecipitation = "1";
							SkySolidColor = "0.600000 0.600000 0.600000 1.000000";
							useSkyTextures = "1";
							renderBottomTexture = "0";
							noRenderBans = "0";
						};
						
				}
				Sky_Old.delete();
		}
		else
		{
			Sky.setName("Sky_Old");
			new Sky(Sky)
			{
				position = "336 136 0";
				rotation = "1 0 0 0";
				scale = "1 1 1";
				materialList = "Add-Ons/RP_Catastrophe/Skies/Clear/resource.dml";
				cloudHeightPer[0] = "0";
				cloudHeightPer[1] = "0";
				cloudHeightPer[2] = "0";
				cloudSpeed1 = "0.0";
				cloudSpeed2 = "0.0";
				cloudSpeed3 = "0.0";
				visibleDistance = "5000";
				fogDistance = "2500";
				fogColor = "0.900000 0.900000 1.000000 1.000000";
				fogStorm1 = "0";
				fogStorm2 = "0";
				fogStorm3 = "0";
				fogVolume1 = "0 0 0";
				fogVolume2 = "0 0 0";
				fogVolume3 = "0 0 0";
				fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
				fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
				fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
				windVelocity = "0 0 0";
				windEffectPrecipitation = "0";
				SkySolidColor = "0.000000 0.000000 0.100000 1.000000";
				useSkyTextures = "1";
				renderBottomTexture = "0";
				noRenderBans = "0";
				locked = "true";
			};
			Sky_Old.delete();
		}
	}
	else
	{
	if(isObject(Precipitation))
		Precipitation.delete();
	
	$RP::pref::CurrCatastrophe = Clear;

	warn("WEATHER ADJUSTING TO: [Clear]");
	
	getday();
	
	}

}

function generateday(%day)
{
	if(%day $= "night" || %day $= "day" || %day $= "morning" || %day $= "sunset") {
		warn("DAY ADJUSTING TO:" SPC "[" @ %day @ "]");
		
		$RP::pref::CurrDay = %day;
		
		Sky.setName("Sky_Old");
		switch$(%day)
		{
			case "night":
				new Sky(Sky)
				{
					position = "312 96 0";
					rotation = "1 0 0 0";
					scale = "1 1 1";
					materialList = "base/data/skies/Sky_Spooky1/resource.dml";
					cloudHeightPer[0] = "0";
					cloudHeightPer[1] = "0";
					cloudHeightPer[2] = "0";
					cloudSpeed1 = "0";
					cloudSpeed2 = "0";
					cloudSpeed3 = "0";
					visibleDistance = "140";
					fogDistance = "10";
					fogColor = "0.000000 0.000000 0.000000 0.000000";
					fogStorm1 = "0";
					fogStorm2 = "0";
					fogStorm3 = "0";
					fogVolume1 = "0 0 0";
					fogVolume2 = "0 0 0";
					fogVolume3 = "0 0 0";
					fogVolumeColor1 = "0.000000 0.000000 0.000000 0.000000";
					fogVolumeColor2 = "0.000000 0.000000 0.000000 0.000000";
					fogVolumeColor3 = "0.000000 0.000000 0.000000 0.000000";
					windVelocity = "0 0 0";
					windEffectPrecipitation = "0";
					SkySolidColor = "0.000000 0.000000 0.000000 0.000000";
					useSkyTextures = "1";
					renderBottomTexture = "0";
					noRenderBans = "0";
				};
			case "day":
				new Sky(Sky)
				{
					position = "336 136 0";
					rotation = "1 0 0 0";
					scale = "1 1 1";
					materialList = "Add-Ons/RP_Catastrophe/Skies/Clear/resource.dml";
					cloudHeightPer[0] = "0";
					cloudHeightPer[1] = "0";
					cloudHeightPer[2] = "0";
					cloudSpeed1 = "0.0";
					cloudSpeed2 = "0.0";
					cloudSpeed3 = "0.0";
					visibleDistance = "5000";
					fogDistance = "2500";
					fogColor = "0.900000 0.900000 1.000000 1.000000";
					fogStorm1 = "0";
					fogStorm2 = "0";
					fogStorm3 = "0";
					fogVolume1 = "0 0 0";
					fogVolume2 = "0 0 0";
					fogVolume3 = "0 0 0";
					fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
					fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
					fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
					windVelocity = "0 0 0";
					windEffectPrecipitation = "0";
					SkySolidColor = "0.000000 0.000000 0.100000 1.000000";
					useSkyTextures = "1";
					renderBottomTexture = "0";
					noRenderBans = "0";
					locked = "true";
				};
			case "morning":
				new Sky(Sky)
				{
					position = "312 96 0";
					rotation = "1 0 0 0";
					scale = "1 1 1";
					materialList = "base/data/skies/Sky_Blue2/resource.dml";
					cloudHeightPer[0] = "0";
					cloudHeightPer[1] = "0";
					cloudHeightPer[2] = "0";
					cloudSpeed1 = "0";
					cloudSpeed2 = "0";
					cloudSpeed3 = "0";
					visibleDistance = "3000";
					fogDistance = "1000";
					fogColor = "0.450000 0.450000 0.500000 0.500000";
					fogStorm1 = "0";
					fogStorm2 = "0";
					fogStorm3 = "0";
					fogVolume1 = "0 0 0";
					fogVolume2 = "0 0 0";
					fogVolume3 = "0 0 0";
					fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
					fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
					fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
					windVelocity = "0 0 0";
					windEffectPrecipitation = "0";
					SkySolidColor = "0.000000 0.000000 0.000000 0.000000";
					useSkyTextures = "1";
					renderBottomTexture = "0";
					noRenderBans = "0";
				};			
			case "sunset":
				new Sky(Sky)
				{
					position = "312 96 0";
					rotation = "1 0 0 0";
					scale = "1 1 1";
					materialList = "base/data/skies/sunset/resource.dml";
					cloudHeightPer[0] = "0";
					cloudHeightPer[1] = "0";
					cloudHeightPer[2] = "0";
					cloudSpeed1 = "0";
					cloudSpeed2 = "0";
					cloudSpeed3 = "0";
					visibleDistance = "3000";
					fogDistance = "1000";
					fogColor = "0.450000 0.450000 0.500000 0.500000";
					fogStorm1 = "0";
					fogStorm2 = "0";
					fogStorm3 = "0";
					fogVolume1 = "0 0 0";
					fogVolume2 = "0 0 0";
					fogVolume3 = "0 0 0";
					fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
					fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
					fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
					windVelocity = "0 0 0";
					windEffectPrecipitation = "0";
					SkySolidColor = "0.000000 0.000000 0.000000 0.000000";
					useSkyTextures = "1";
					renderBottomTexture = "0";
					noRenderBans = "0";
					windVelocity = "0 0 0";
					windEffectPrecipitation = "0";
					SkySolidColor = "0.000000 0.000000 0.000000 0.000000";
					useSkyTextures = "1";
					renderBottomTexture = "0";
					noRenderBans = "0";
				};
		}
		Sky_Old.delete();
	}
	else
	{
		Sky.setName("Sky_Old");
		new Sky(Sky)
		{
			position = "336 136 0";
			rotation = "1 0 0 0";
			scale = "1 1 1";
			materialList = "Add-Ons/RP_Catastrophe/Skies/Clear/resource.dml";
			cloudHeightPer[0] = "0";
			cloudHeightPer[1] = "0";
			cloudHeightPer[2] = "0";
			cloudSpeed1 = "0.0";
			cloudSpeed2 = "0.0";
			cloudSpeed3 = "0.0";
			visibleDistance = "5000";
			fogDistance = "2500";
			fogColor = "0.900000 0.900000 1.000000 1.000000";
			fogStorm1 = "0";
			fogStorm2 = "0";
			fogStorm3 = "0";
			fogVolume1 = "0 0 0";
			fogVolume2 = "0 0 0";
			fogVolume3 = "0 0 0";
			fogVolumeColor1 = "128.000000 128.000000 128.000000 -222768174765569860000000000000000000000.000000";
			fogVolumeColor2 = "128.000000 128.000000 128.000000 0.000000";
			fogVolumeColor3 = "128.000000 128.000000 128.000000 -170698929442160050000000000000000000000.000000";
			windVelocity = "0 0 0";
			windEffectPrecipitation = "0";
			SkySolidColor = "0.000000 0.000000 0.100000 1.000000";
			useSkyTextures = "1";
			renderBottomTexture = "0";
			noRenderBans = "0";
			locked = "true";
		};
		Sky_Old.delete();
	}
}